gnutls_safe_renegotiation_set(3)

NAME
gnutls_safe_renegotiation_set - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_safe_renegotiation_set(gnutls_session_t session, int value);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

int value
    0 to disable and 1 to enable

DESCRIPTION
Used to enable and disable safe renegotiation for the current session. Normally you shouldn't cope with this function since the default (enable) is sufficient, but there might be servers that cannot handle or correctly handle the extension.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.